Mailinglist Archive: opensuse-packaging (76 mails)

< Previous Next >
Re: [opensuse-packaging] Question related to analyzing failing checks


On 05/07/2018 01:51 PM, Johannes Weberhofer wrote:
Dear all!

I have the following lines in a spec:

---------------
%check
make %{?_smp_mflags} PHP_EXECUTABLE=%{__php} NO_INTERACTION=1 test && STAT=0
|| STAT=$?
for f in `ls tests/*.out`; do cat $f ; done
exit $STAT
---------------

I'd personally use something like

do-some thing \
|| { echo "error: exit code: $?"
grep . tests/*.out
exit 1; }

to avoid the loop and special-casing the good-case (STAT=0),
but this is personal flavor. Your code should be okay.

The intention is to show me the contents of ".out" files in a directory to
find the reasons for failing tests (which don't fail in my local
environment). Unfortunately I get the following result:

---------------
[  472s] make: *** [Makefile:134: test] Error 1
[  472s] + STAT=2
[  472s] ++ ls tests/229_Tutorial_fxAnalyzeImage_case1.out
tests/236_Imagick_identify_basic.out
[  472s] + for f in `ls tests/*.out`
[  472s] + cat tests/229_Tutorial_fxAnalyzeImage_case1.out
[  472s] ** ERROR: process timed out **+ for f in `ls tests/*.out`
___________^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^

This sounds as if this error would come from the actual test of the package,
tests/229_Tutorial_fxAnalyzeImage_case1
Does it deal with timeouts?

[  472s] + cat tests/236_Imagick_identify_basic.out
[  472s] free(): invalid pointer
[  472s]
[  472s] Termsig=6+ '[' 2 -ne 0 ']'
[  472s] + exit 2
[  472s] error: Bad exit status from /var/tmp/rpm-tmp.fDnsLs (%check)
---------------

Any idea what's wrong?

I don't see anything wrong - with the spec: a test failed, so the build also
failed.


For the reference: The project is
https://build.opensuse.org/package/show/home:weberho:branches:server:php:extensions:php7/php7-imagick

A 2-seconds timeout may be a bit too small on OBS ...

PASS Test ImagickDraw, skewX [tests/228_ImagickDraw_skewX_basic.phpt]
[ 246s] TEST 221/268 [tests/229_Tutorial_fxAnalyzeImage_case1.phpt]
FAIL Test Tutorial, fxAnalyzeImage
[tests/229_Tutorial_fxAnalyzeImage_case1.phpt]
[ 248s] TEST 222/268 [tests/234_Tutorial_edgeExtend_basic.phpt]

... depending on the work to do.

Best regards

Have a nice day,
Berny
--
To unsubscribe, e-mail: opensuse-packaging+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-packaging+owner@xxxxxxxxxxxx

< Previous Next >
Follow Ups
References